LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::sheet::FunctionCategory Constant Group Referencepublished

used to specify the category of a spreadsheet function. More...

## Variables
const long | DATABASE = 1
| specifies a database function. More...
const long | DATETIME = 2
| specifies a function that calculates with dates and/or times. More...
const long | FINANCIAL = 3
| specifies a financial function. More...
const long | INFORMATION = 4
| specifies a function that returns information about the cell, the cell contents or the current formula. More...
const long | LOGICAL = 5
| specifies a boolean function. More...
const long | MATHEMATICAL = 6
| specifies a common mathematical function More...
const long | MATRIX = 7
| specifies a matrix function. More...
const long | STATISTICAL = 8
| specifies a statistical function More...
const long | SPREADSHEET = 9
| specifies a function that returns information using the spreadsheet contents or specific cell positions. More...
const long | TEXT = 10
| specifies a text function. More...
const long | ADDIN = 11
| specifies a common add-in function. More...

## Detailed Description

used to specify the category of a spreadsheet function.

## Variable Documentation

## ◆ ADDIN

const long ADDIN = 11

specifies a common add-in function.

## ◆ DATABASE

const long DATABASE = 1

specifies a database function.

## ◆ DATETIME

const long DATETIME = 2

specifies a function that calculates with dates and/or times.

## ◆ FINANCIAL

const long FINANCIAL = 3

specifies a financial function.

## ◆ INFORMATION

const long INFORMATION = 4

specifies a function that returns information about the cell, the cell contents or the current formula.

## ◆ LOGICAL

const long LOGICAL = 5

specifies a boolean function.

## ◆ MATHEMATICAL

const long MATHEMATICAL = 6

specifies a common mathematical function

## ◆ MATRIX

const long MATRIX = 7

specifies a matrix function.

## ◆ SPREADSHEET

const long SPREADSHEET = 9

specifies a function that returns information using the spreadsheet contents or specific cell positions.

## ◆ STATISTICAL

const long STATISTICAL = 8

specifies a statistical function

## ◆ TEXT

const long TEXT = 10

specifies a text function.